Page MenuHomePhabricator

Cite.php on line 767 undefined index
Closed, ResolvedPublic

Description

Notice: Undefined index:  in /srv/mediawiki/php-1.31.0-wmf.29/extensions/Cite/includes/Cite.php on line 767

$group seems to be the non existing index. It has the value " " (regular space, not an insécable/non breakable one).

if ( count( $this->mRefs[$group] ) > 10 ) {
    $wrapClasses[] = 'mw-references-columns';
}

Details

Related Gerrit Patches:

Event Timeline

Reedy created this task.Dec 15 2017, 12:19 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 15 2017, 12:19 AM
Izno moved this task from Unsorted backlog to Defect backlog on the Cite board.Dec 31 2017, 8:36 PM
Dereckson updated the task description. (Show Details)Apr 1 2018, 2:48 PM
Dereckson claimed this task.Apr 1 2018, 2:54 PM
Dereckson moved this task from Defect backlog to Doing on the Cite board.

This occurs when a group doesn't contain any reference, ie when <references group="foo" /> is present, but no <ref group="foo">...</ref> has been declared in the page.

Change 423342 had a related patch set uploaded (by Dereckson; owner: Dereckson):
[mediawiki/extensions/Cite@master] Suppress a notice if a references group doesn't contain any reference

https://gerrit.wikimedia.org/r/423342

Dereckson renamed this task from Cite.php on line 786 undefined index to Cite.php on line 767 undefined index.Apr 20 2018, 3:46 PM
Dereckson updated the task description. (Show Details)
Dereckson updated the task description. (Show Details)Apr 20 2018, 3:55 PM

Low-traffic, but still seen in prod about ~10 hits per day in last 7 days.

Krinkle triaged this task as Medium priority.Jun 5 2018, 11:47 PM

Change 447739 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/Cite@master] Strengthen referencesFormat() logic by copying before iteration

https://gerrit.wikimedia.org/r/447739

Change 447739 abandoned by Krinkle:
Strengthen referencesFormat() logic by copying before iteration

Reason:
Not urgent, too complicated. Should be treated treated as legacy debt to to be paid off in a larger refactor at some point.

https://gerrit.wikimedia.org/r/447739

Change 423342 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Deal with <references/> inside a <ref> in automatic references list

https://gerrit.wikimedia.org/r/423342

Change 447839 had a related patch set uploaded (by Krinkle; owner: Krinkle):
[mediawiki/extensions/Cite@wmf/1.32.0-wmf.14] Deal with <references/> inside a <ref> in automatic references list

https://gerrit.wikimedia.org/r/447839

Change 447839 merged by jenkins-bot:
[mediawiki/extensions/Cite@wmf/1.32.0-wmf.14] Deal with <references/> inside a <ref> in automatic references list

https://gerrit.wikimedia.org/r/447839

Krinkle closed this task as Resolved.Jul 25 2018, 6:50 PM
Krinkle removed a project: Patch-For-Review.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM